curl https://api.usegately.com/api/v1/email/templates/tmpl_abc123 \
-H "Authorization: Bearer gately_YOUR_API_KEY"
const response = await fetch(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
{ headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' } }
);
const template = await response.json();
import requests
response = requests.get(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
print(response.json())
{
"id": "tmpl_abc123",
"name": "Welcome Email",
"subject": "Welcome to {{project}}, {{name}}!",
"html_content": "<h1>Hi {{name}},</h1><p>Welcome to <strong>{{project}}</strong>.</p>",
"text_content": "Hi {{name}}, welcome to {{project}}.",
"category": "welcome",
"created_at": "2026-08-02T10:00:00Z",
"updated_at": "2026-08-02T10:00:00Z"
}
{
"error": "Template not found"
}
Transactional Email
Get Template
Retrieve a single email template by ID.
GET
/
api
/
v1
/
email
/
templates
/
{id}
curl https://api.usegately.com/api/v1/email/templates/tmpl_abc123 \
-H "Authorization: Bearer gately_YOUR_API_KEY"
const response = await fetch(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
{ headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' } }
);
const template = await response.json();
import requests
response = requests.get(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
print(response.json())
{
"id": "tmpl_abc123",
"name": "Welcome Email",
"subject": "Welcome to {{project}}, {{name}}!",
"html_content": "<h1>Hi {{name}},</h1><p>Welcome to <strong>{{project}}</strong>.</p>",
"text_content": "Hi {{name}}, welcome to {{project}}.",
"category": "welcome",
"created_at": "2026-08-02T10:00:00Z",
"updated_at": "2026-08-02T10:00:00Z"
}
{
"error": "Template not found"
}
Headers
string
required
Bearer YOUR_API_KEYPath Parameters
string
required
The template ID returned when the template was created.
Response
string
Template ID.
string
Template name.
string
Default subject line.
string
HTML body.
string
Plain text body.
string
Template category.
string
ISO 8601 creation timestamp.
string
ISO 8601 last-updated timestamp.
curl https://api.usegately.com/api/v1/email/templates/tmpl_abc123 \
-H "Authorization: Bearer gately_YOUR_API_KEY"
const response = await fetch(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
{ headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' } }
);
const template = await response.json();
import requests
response = requests.get(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
print(response.json())
{
"id": "tmpl_abc123",
"name": "Welcome Email",
"subject": "Welcome to {{project}}, {{name}}!",
"html_content": "<h1>Hi {{name}},</h1><p>Welcome to <strong>{{project}}</strong>.</p>",
"text_content": "Hi {{name}}, welcome to {{project}}.",
"category": "welcome",
"created_at": "2026-08-02T10:00:00Z",
"updated_at": "2026-08-02T10:00:00Z"
}
{
"error": "Template not found"
}
Was this page helpful?
⌘I